<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
date_default_timezone_set('Europe/Madrid');

// Obtener los parámetros de la línea de comandos
if ($argc > 1) {
    $jsonParams = $argv[1];
    // Decodificar el JSON
echo $jsonParams;	
    $data = json_decode($jsonParams, true);

    if ($data !== null) {
		if ($data && isset($data['channel']) && isset($data['messages'])){
			foreach($data['messages'] as $message){
			  $response=file_get_contents('https://icfbot.ferreteriacampollano.com/message.php?channel='.$data['channel'].'&msg='.urlencode($message));
			  sleep(1);
			}
		}
    } else {
        echo "Error al decodificar el JSON.\n";
    }
} else {
    echo "No se proporcionaron parámetros.\n";
}
?>
